Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface ConfigConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Container, NamedConfigElement, NotificationBroadcaster, NotificationEmitter, PropertiesAccess, SystemPropertiesAccess

public interface ConfigConfig
extends PropertiesAccess, SystemPropertiesAccess, NamedConfigElement, Container

Configuration for the <config> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.config.SystemPropertiesAccess
`SYSTEM_PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`ThreadPoolConfig` | `createThreadPoolConfig(java.lang.String name, java.util.Map optional)` Create a new <thread-pool>
`AdminServiceConfig` | `getAdminServiceConfig()` Return the AdminServiceConfig.
`AvailabilityServiceConfig` | `getAvailabilityServiceConfig()` Return the AvailabilityServiceConfig.
`ConnectorServiceConfig` | `getConnectorServiceConfig()` Return the ConnectorServiceConfig.
`EJBContainerConfig` | `getEJBContainerConfig()` Return the EJBContainerConfig.
`HTTPServiceConfig` | `getHTTPServiceConfig()` Return the HTTPServiceConfig.
`IIOPServiceConfig` | `getIIOPServiceConfig()` Return the IIOPServiceConfig.
`JavaConfig` | `getJavaConfig()` Return the JavaConfig.
`JMSServiceConfig` | `getJMSServiceConfig()` Return the JMSServiceConfig.
`LogServiceConfig` | `getLogServiceConfig()` Return the LogServiceConfig.
`MDBContainerConfig` | `getMDBContainerConfig()` Return the MDBContainerConfig.
`MonitoringServiceConfig` | `getMonitoringServiceConfig()` Return the MonitoringServiceConfig.
`QuorumServiceConfig` | `getQuorumServiceConfig()` Return the QuorumServiceConfig.
`SecurityServiceConfig` | `getSecurityServiceConfig()` Return the SecurityServiceConfig.
`java.util.Map` | `getThreadPoolConfigMap()` Calls Container.getContaineeMap( XTypes.THREAD_POOL_CONFIG ).
`TransactionServiceConfig` | `getTransactionServiceConfig()` Return the TransactionServiceConfig.
`WebContainerConfig` | `getWebContainerConfig()` Return the WebContainerConfig.
`void` | `removeThreadPoolConfig(java.lang.String name)` Removes a thread-pool element.

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Methods inherited from interface com.sun.appserv.management.config.SystemPropertiesAccess
`createSystemProperty, existsSystemProperty, getSystemProperties, getSystemPropertyNames, getSystemPropertyValue, removeSystemProperty, setSystemPropertyValue`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getThreadPoolConfigMap

    public java.util.Map getThreadPoolConfigMap()

  Calls Container.getContaineeMap( XTypes.THREAD_POOL_CONFIG ).

  Returns:
    Map of ThreadPoolConfig proxies, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### getIIOPServiceConfig

    public IIOPServiceConfig getIIOPServiceConfig()

  Return the IIOPServiceConfig.

### getHTTPServiceConfig

    public HTTPServiceConfig getHTTPServiceConfig()

  Return the HTTPServiceConfig.

### getSecurityServiceConfig

    public SecurityServiceConfig getSecurityServiceConfig()

  Return the SecurityServiceConfig.

### getMonitoringServiceConfig

    public MonitoringServiceConfig getMonitoringServiceConfig()

  Return the MonitoringServiceConfig.

### getAdminServiceConfig

    public AdminServiceConfig getAdminServiceConfig()

  Return the AdminServiceConfig.

### createThreadPoolConfig

    public ThreadPoolConfig createThreadPoolConfig(java.lang.String name,
                                                   java.util.Map optional)

  Create a new <thread-pool>

  Parameters:
    `name` - name of the <thread-pool> (thread-pool-id)
    `optional` - Map of optional attributes and properties whose keys are defined here. (eg:- MIN_THREAD_POOL_SIZE_KEY)
  Returns:
    A proxy to the ThreadPoolConfig MBean.
  See Also:
    `ThreadPoolConfigKeys`

### removeThreadPoolConfig

    public void removeThreadPoolConfig(java.lang.String name)

  Removes a thread-pool element.

  Parameters:
    `name` - name of the <thread-pool> (thread-pool-id)

### getWebContainerConfig

    public WebContainerConfig getWebContainerConfig()

  Return the WebContainerConfig.

### getEJBContainerConfig

    public EJBContainerConfig getEJBContainerConfig()

  Return the EJBContainerConfig.

### getMDBContainerConfig

    public MDBContainerConfig getMDBContainerConfig()

  Return the MDBContainerConfig.

### getJavaConfig

    public JavaConfig getJavaConfig()

  Return the JavaConfig.

### getJMSServiceConfig

    public JMSServiceConfig getJMSServiceConfig()

  Return the JMSServiceConfig.

### getLogServiceConfig

    public LogServiceConfig getLogServiceConfig()

  Return the LogServiceConfig.

### getQuorumServiceConfig

    public QuorumServiceConfig getQuorumServiceConfig()

  Return the QuorumServiceConfig.

### getTransactionServiceConfig

    public TransactionServiceConfig getTransactionServiceConfig()

  Return the TransactionServiceConfig.

### getAvailabilityServiceConfig

    public AvailabilityServiceConfig getAvailabilityServiceConfig()

  Return the AvailabilityServiceConfig.

### getConnectorServiceConfig

    public ConnectorServiceConfig getConnectorServiceConfig()

  Return the ConnectorServiceConfig.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.